/**
 * 阅读模式下的JS辅助函数
 */

//插入下一页加载动画
function InsertLoadingAnimation() {
	RemoveLoadingAnimation();
	RemoveLoadingError();
	
	var animationNode=document.createElement("div");
	animationNode.setAttribute("class","loading_box");
	
	animationNode.innerHTML ="<div class='con'><i class='loading_icon'></i><p>正在加载下一页...</p></div>";

	var wrapNode=document.createElement("div");
	wrapNode.setAttribute("class","x5readmode");
	wrapNode.setAttribute("id", "loadinganimation");
	wrapNode.appendChild(animationNode);

	document.body.appendChild(wrapNode);
}

// 显示阅读内容的结束标记（~无更多内容~）
function InsertReadModeContentEnd() {
	var contentEndNode=document.createElement("div");
	contentEndNode.setAttribute("class","content-end");
	contentEndNode.innerHTML ='<span></span>';

	// 结束标记应该插入到最后一页的里面去
	var divNodeList=document.getElementsByClassName("x5readmode");
	if (divNodeList.length > 0)
		divNodeList[divNodeList.length-1].appendChild(contentEndNode);

	// 这个可以用来查看原网页，既然PC上查看原网页代码不容易
	// window.x5mtt.x5ReadModeNotifyBodyInfo(document.body.outerHTML);
}

//删除下一页加载动画
function RemoveLoadingAnimation() {
	var nodeT = document.getElementById("loadinganimation");
	if(nodeT != null){
		nodeT.parentNode.removeChild(nodeT);
	}
}

//插入加载失败提示
function InsertLoadingError() {
	RemoveLoadingAnimation();
	RemoveLoadingError();
	
	var animationNode=document.createElement("div");
	animationNode.setAttribute("class","loading_box");
	
	animationNode.innerHTML ='<div class="con"><p>拉取下一页失败&nbsp;&nbsp;<input type="button" style="color:#7A7A7A" value=" 重 试 " onclick="javascript:x5mtt.prepareNextPageReadModeData();" /></p></div>';

	var wrapNode=document.createElement("div");
	wrapNode.setAttribute("class","x5readmode");
	wrapNode.setAttribute("id", "loadingerror");
	wrapNode.appendChild(animationNode);

	document.body.appendChild(wrapNode);
}

//删除加载失败提示
function RemoveLoadingError() {
	var nodeT = document.getElementById("loadingerror");
	if(nodeT != null){
		nodeT.parentNode.removeChild(nodeT);
	}
}

// 清除id标记为x5readmodedust的标签：目前后台把杂质标签的id搞成x5readmodedust，这是不对的
// 应该让杂质标签的class=x5readmodedust。
function clearUselessContent()
{
	var uselessNodeList = document.getElementsByTagName("section");
	for(i=0;i<uselessNodeList.length;i++){
		if (uselessNodeList[i].getAttribute("id") == "x5readmodedust")
		{
			var parentNode = uselessNodeList[i].parentNode;
			parentNode.removeChild(uselessNodeList[i]);
			// 删除该节点后，List里就少了一个节点，所以i要减一
			i--;
		}
	}
}

//初始化阅读器内容：originalUrl是阅读内容所来源的url；我们需要它来构造基准URL
function InitPageData(json) {
	
	var nodeTitle = document.getElementById("initTitle");
	var nodeContent = document.getElementById("initContent");
	var nodePageNo = document.getElementById("initPageNo");

	// 由于当前页面没有url（阅读器），所以需要处理基准URL的问题
	if (json.originalUrl != null)
	{
		// 不存在相对地址，那么我要设置基准URL咯~
		var httpMark = "http://";
		var lastSlash = json.originalUrl.lastIndexOf('/');
		if (lastSlash > httpMark.length)
		{
			var baseNode = document.createElement("base");
			baseNode.setAttribute("href", json.originalUrl.substring(0, lastSlash+1));
			document.head.appendChild(baseNode);
		}
	}

	nodeTitle.innerHTML = json.title;
	nodeContent.innerHTML = json.content;
	nodePageNo.innerHTML = json.pageNo;
	// clearUselessContent();
}

//添加阅读器内容
function InsertPageData(json) {
	var divNodeList=document.getElementsByTagName("div");
	var parentNode=document.body;
	
	for(i=0; i<divNodeList.length; i++) {
		if(divNodeList[i].getAttribute('class') == "wrap") {
			parentNode=divNodeList[i];
			break;
		}
	}

	var newNode=document.createElement("div");
	newNode.setAttribute("class","x5readmode");
	
	if (json.shouldShowTitle) {
		newNode.innerHTML=
				"<section class='x5readmodetitle'><span class='a'></span><span class='b'></span><span class='c'></span><span class='d'></span>"
				+ "<div class='page'>"
				+ json.pageNo
				+ "</div>"
				+ "<h2>"
				+ json.title
				+ "</h2>"
				+ "</section>"
				+ "<section class='x5readmodecontent'><span class='a'></span><span class='b'></span><span class='c'></span><span class='d'></span>"
				+ json.content + "</section>";
	}
	else
	{
		newNode.innerHTML =
				"<section class='x5readmodecontent'><span class='a'></span><span class='b'></span><span class='c'></span><span class='d'></span>"
				+ "<div class='page'>"
				+ json.pageNo
				+ "</div>"				
				+ json.content + "</section>";
	}
	parentNode.appendChild(newNode);
	// clearUselessContent();
}

//阅读器按字体
function changeTextSize(newFontSize){
	var oLength = document.styleSheets[0].cssRules.length;
	document.styleSheets[0].insertRule(".x5readmodecontent{font-size:"+newFontSize+"px;}", oLength); 
}

function x5readmode_img_onload(ele){
    if (ele.style.display != 'none' && (ele.width < 45 && ele.height < 45)){
    	ele.style.display = 'inline';
    	//ele.className="small_img";
    }
}
